[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TSharedCustomBitmap.ReleasePalette

Returns the Handle of the released Palette.

## Declaration

Source position: graphics.pp line 1357

`protected function TSharedCustomBitmap.ReleasePalette: HPALETTE;`

## Description

ReleasePalette is a HPALETTE function used to release the internal palette handle for the shared bitmap. The return value contains the existing palette handle on entry.

Sets the value in the internal palette handle to 0 to indicate that the palette handle is no longer in use or is invalid.

Use FreePalette to remove the palette handle in widgetset classes.